Foxit PDF SDK

Public Member Functions | List of all members
FoxitPDFSDKPython2.SplitDocumentInfo Class Reference
Inheritance diagram for FoxitPDFSDKPython2.SplitDocumentInfo:

## Public Member Functions
def | SplitDocumentInfo (doc, file_name)
| Constructor, with parameters. More...
def | SplitDocumentInfo (file_reader, password, file_name)
| Constructor, with parameters. More...
def | SplitDocumentInfo (other)
| Constructor, with another information object. More...
def | IsEmpty ()
| Check whether current object is empty or not. More...

## Detailed Description

This class represents information of source PDF document which is to be split.

## Constructor & Destructor Documentation

## ◆ SplitDocumentInfo() [1/3]

def FoxitPDFSDKPython2.SplitDocumentInfo.SplitDocumentInfo | ( |  | file_reader,
|  |  | password,
|  |  | file_name
| ) |  |

Constructor, with parameters.

This constructor does not check the validity of input PDF document and the check will be done in function FoxitPDFSDKPython2.SplitPDFDoc.StartSplitByFileSize .

Parameters

  [in] | file_reader | A FoxitPDFSDKPython2.FileReaderCallback object which is implemented by user to be split.It should not be null.
  [in] | password | Owner password of PDF file which is specified by parameter file_reader.
  [in] | file_name | A string value which represents the original PDF file name. It is used to generate the file name of the PDF document after splitting. The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name.

## ◆ SplitDocumentInfo() [2/3]

def FoxitPDFSDKPython2.SplitDocumentInfo.SplitDocumentInfo | ( |  | doc,
|  |  | file_name
| ) |  |

Constructor, with parameters.

This constructor does not check the validity of input PDF document and the check will be done in function FoxitPDFSDKPython2.SplitPDFDoc.StartSplitByFileSize .

Parameters

  [in] | doc | A valid PDF document object which represents a PDF file to be split. Please ensure input PDF document object have been loaded; otherwise unknown error may occur later when current information object is used.
  [in] | file_name | A string value which represents the original PDF file name. It is used to generate the file name of the PDF document after splitting. The file name of the PDF document generated through splitting is created by adding a custom name, automatically generated numbers starting from 1, and separator to the original PDF file name.

## ◆ SplitDocumentInfo() [3/3]

def FoxitPDFSDKPython2.SplitDocumentInfo.SplitDocumentInfo | ( |  | other | ) |

Constructor, with another information object.

Parameters

  [in] | other | Another information object.

## Member Function Documentation

## ◆ IsEmpty()

def FoxitPDFSDKPython2.SplitDocumentInfo.IsEmpty | ( |  | ) |

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.